Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network160.80.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
160.80.0.0
Broadcast address
160.95.255.255
First usable
160.80.0.1
Last usable
160.95.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
B (default /16)
As numbers
Hex A0500000 · Integer 2689597440 to 2690646015
Reverse DNS zones
80.160.in-addr.arpa
81.160.in-addr.arpa
82.160.in-addr.arpa
83.160.in-addr.arpa
84.160.in-addr.arpa
85.160.in-addr.arpa
86.160.in-addr.arpa
87.160.in-addr.arpa
88.160.in-addr.arpa
89.160.in-addr.arpa
90.160.in-addr.arpa
91.160.in-addr.arpa
92.160.in-addr.arpa
93.160.in-addr.arpa
94.160.in-addr.arpa
95.160.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100000.01010000.00000000.00000000160.80.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network10100000.01010000.00000000.00000000160.80.0.0
Broadcast10100000.01011111.11111111.11111111160.95.255.255
Split into smaller subnets/21

160.80.0.0/12 makes 512 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1160.80.0.0/21160.80.0.1 to 160.80.7.254160.80.7.2552,046
2160.80.8.0/21160.80.8.1 to 160.80.15.254160.80.15.2552,046
3160.80.16.0/21160.80.16.1 to 160.80.23.254160.80.23.2552,046
4160.80.24.0/21160.80.24.1 to 160.80.31.254160.80.31.2552,046
5160.80.32.0/21160.80.32.1 to 160.80.39.254160.80.39.2552,046
6160.80.40.0/21160.80.40.1 to 160.80.47.254160.80.47.2552,046
7160.80.48.0/21160.80.48.1 to 160.80.55.254160.80.55.2552,046
8160.80.56.0/21160.80.56.1 to 160.80.63.254160.80.63.2552,046
9160.80.64.0/21160.80.64.1 to 160.80.71.254160.80.71.2552,046
10160.80.72.0/21160.80.72.1 to 160.80.79.254160.80.79.2552,046
11160.80.80.0/21160.80.80.1 to 160.80.87.254160.80.87.2552,046
12160.80.88.0/21160.80.88.1 to 160.80.95.254160.80.95.2552,046
13160.80.96.0/21160.80.96.1 to 160.80.103.254160.80.103.2552,046
14160.80.104.0/21160.80.104.1 to 160.80.111.254160.80.111.2552,046
15160.80.112.0/21160.80.112.1 to 160.80.119.254160.80.119.2552,046
16160.80.120.0/21160.80.120.1 to 160.80.127.254160.80.127.2552,046
17160.80.128.0/21160.80.128.1 to 160.80.135.254160.80.135.2552,046
18160.80.136.0/21160.80.136.1 to 160.80.143.254160.80.143.2552,046
19160.80.144.0/21160.80.144.1 to 160.80.151.254160.80.151.2552,046
20160.80.152.0/21160.80.152.1 to 160.80.159.254160.80.159.2552,046
21160.80.160.0/21160.80.160.1 to 160.80.167.254160.80.167.2552,046
22160.80.168.0/21160.80.168.1 to 160.80.175.254160.80.175.2552,046
23160.80.176.0/21160.80.176.1 to 160.80.183.254160.80.183.2552,046
24160.80.184.0/21160.80.184.1 to 160.80.191.254160.80.191.2552,046
25160.80.192.0/21160.80.192.1 to 160.80.199.254160.80.199.2552,046
26160.80.200.0/21160.80.200.1 to 160.80.207.254160.80.207.2552,046
27160.80.208.0/21160.80.208.1 to 160.80.215.254160.80.215.2552,046
28160.80.216.0/21160.80.216.1 to 160.80.223.254160.80.223.2552,046
29160.80.224.0/21160.80.224.1 to 160.80.231.254160.80.231.2552,046
30160.80.232.0/21160.80.232.1 to 160.80.239.254160.80.239.2552,046
31160.80.240.0/21160.80.240.1 to 160.80.247.254160.80.247.2552,046
32160.80.248.0/21160.80.248.1 to 160.80.255.254160.80.255.2552,046
33160.81.0.0/21160.81.0.1 to 160.81.7.254160.81.7.2552,046
34160.81.8.0/21160.81.8.1 to 160.81.15.254160.81.15.2552,046
35160.81.16.0/21160.81.16.1 to 160.81.23.254160.81.23.2552,046
36160.81.24.0/21160.81.24.1 to 160.81.31.254160.81.31.2552,046
37160.81.32.0/21160.81.32.1 to 160.81.39.254160.81.39.2552,046
38160.81.40.0/21160.81.40.1 to 160.81.47.254160.81.47.2552,046
39160.81.48.0/21160.81.48.1 to 160.81.55.254160.81.55.2552,046
40160.81.56.0/21160.81.56.1 to 160.81.63.254160.81.63.2552,046
41160.81.64.0/21160.81.64.1 to 160.81.71.254160.81.71.2552,046
42160.81.72.0/21160.81.72.1 to 160.81.79.254160.81.79.2552,046
43160.81.80.0/21160.81.80.1 to 160.81.87.254160.81.87.2552,046
44160.81.88.0/21160.81.88.1 to 160.81.95.254160.81.95.2552,046
45160.81.96.0/21160.81.96.1 to 160.81.103.254160.81.103.2552,046
46160.81.104.0/21160.81.104.1 to 160.81.111.254160.81.111.2552,046
47160.81.112.0/21160.81.112.1 to 160.81.119.254160.81.119.2552,046
48160.81.120.0/21160.81.120.1 to 160.81.127.254160.81.127.2552,046
49160.81.128.0/21160.81.128.1 to 160.81.135.254160.81.135.2552,046
50160.81.136.0/21160.81.136.1 to 160.81.143.254160.81.143.2552,046
51160.81.144.0/21160.81.144.1 to 160.81.151.254160.81.151.2552,046
52160.81.152.0/21160.81.152.1 to 160.81.159.254160.81.159.2552,046
53160.81.160.0/21160.81.160.1 to 160.81.167.254160.81.167.2552,046
54160.81.168.0/21160.81.168.1 to 160.81.175.254160.81.175.2552,046
55160.81.176.0/21160.81.176.1 to 160.81.183.254160.81.183.2552,046
56160.81.184.0/21160.81.184.1 to 160.81.191.254160.81.191.2552,046
57160.81.192.0/21160.81.192.1 to 160.81.199.254160.81.199.2552,046
58160.81.200.0/21160.81.200.1 to 160.81.207.254160.81.207.2552,046
59160.81.208.0/21160.81.208.1 to 160.81.215.254160.81.215.2552,046
60160.81.216.0/21160.81.216.1 to 160.81.223.254160.81.223.2552,046
61160.81.224.0/21160.81.224.1 to 160.81.231.254160.81.231.2552,046
62160.81.232.0/21160.81.232.1 to 160.81.239.254160.81.239.2552,046
63160.81.240.0/21160.81.240.1 to 160.81.247.254160.81.247.2552,046
64160.81.248.0/21160.81.248.1 to 160.81.255.254160.81.255.2552,046
65160.82.0.0/21160.82.0.1 to 160.82.7.254160.82.7.2552,046
66160.82.8.0/21160.82.8.1 to 160.82.15.254160.82.15.2552,046
67160.82.16.0/21160.82.16.1 to 160.82.23.254160.82.23.2552,046
68160.82.24.0/21160.82.24.1 to 160.82.31.254160.82.31.2552,046
69160.82.32.0/21160.82.32.1 to 160.82.39.254160.82.39.2552,046
70160.82.40.0/21160.82.40.1 to 160.82.47.254160.82.47.2552,046
71160.82.48.0/21160.82.48.1 to 160.82.55.254160.82.55.2552,046
72160.82.56.0/21160.82.56.1 to 160.82.63.254160.82.63.2552,046
73160.82.64.0/21160.82.64.1 to 160.82.71.254160.82.71.2552,046
74160.82.72.0/21160.82.72.1 to 160.82.79.254160.82.79.2552,046
75160.82.80.0/21160.82.80.1 to 160.82.87.254160.82.87.2552,046
76160.82.88.0/21160.82.88.1 to 160.82.95.254160.82.95.2552,046
77160.82.96.0/21160.82.96.1 to 160.82.103.254160.82.103.2552,046
78160.82.104.0/21160.82.104.1 to 160.82.111.254160.82.111.2552,046
79160.82.112.0/21160.82.112.1 to 160.82.119.254160.82.119.2552,046
80160.82.120.0/21160.82.120.1 to 160.82.127.254160.82.127.2552,046
81160.82.128.0/21160.82.128.1 to 160.82.135.254160.82.135.2552,046
82160.82.136.0/21160.82.136.1 to 160.82.143.254160.82.143.2552,046
83160.82.144.0/21160.82.144.1 to 160.82.151.254160.82.151.2552,046
84160.82.152.0/21160.82.152.1 to 160.82.159.254160.82.159.2552,046
85160.82.160.0/21160.82.160.1 to 160.82.167.254160.82.167.2552,046
86160.82.168.0/21160.82.168.1 to 160.82.175.254160.82.175.2552,046
87160.82.176.0/21160.82.176.1 to 160.82.183.254160.82.183.2552,046
88160.82.184.0/21160.82.184.1 to 160.82.191.254160.82.191.2552,046
89160.82.192.0/21160.82.192.1 to 160.82.199.254160.82.199.2552,046
90160.82.200.0/21160.82.200.1 to 160.82.207.254160.82.207.2552,046
91160.82.208.0/21160.82.208.1 to 160.82.215.254160.82.215.2552,046
92160.82.216.0/21160.82.216.1 to 160.82.223.254160.82.223.2552,046
93160.82.224.0/21160.82.224.1 to 160.82.231.254160.82.231.2552,046
94160.82.232.0/21160.82.232.1 to 160.82.239.254160.82.239.2552,046
95160.82.240.0/21160.82.240.1 to 160.82.247.254160.82.247.2552,046
96160.82.248.0/21160.82.248.1 to 160.82.255.254160.82.255.2552,046
97160.83.0.0/21160.83.0.1 to 160.83.7.254160.83.7.2552,046
98160.83.8.0/21160.83.8.1 to 160.83.15.254160.83.15.2552,046
99160.83.16.0/21160.83.16.1 to 160.83.23.254160.83.23.2552,046
100160.83.24.0/21160.83.24.1 to 160.83.31.254160.83.31.2552,046
101160.83.32.0/21160.83.32.1 to 160.83.39.254160.83.39.2552,046
102160.83.40.0/21160.83.40.1 to 160.83.47.254160.83.47.2552,046
103160.83.48.0/21160.83.48.1 to 160.83.55.254160.83.55.2552,046
104160.83.56.0/21160.83.56.1 to 160.83.63.254160.83.63.2552,046
105160.83.64.0/21160.83.64.1 to 160.83.71.254160.83.71.2552,046
106160.83.72.0/21160.83.72.1 to 160.83.79.254160.83.79.2552,046
107160.83.80.0/21160.83.80.1 to 160.83.87.254160.83.87.2552,046
108160.83.88.0/21160.83.88.1 to 160.83.95.254160.83.95.2552,046
109160.83.96.0/21160.83.96.1 to 160.83.103.254160.83.103.2552,046
110160.83.104.0/21160.83.104.1 to 160.83.111.254160.83.111.2552,046
111160.83.112.0/21160.83.112.1 to 160.83.119.254160.83.119.2552,046
112160.83.120.0/21160.83.120.1 to 160.83.127.254160.83.127.2552,046
113160.83.128.0/21160.83.128.1 to 160.83.135.254160.83.135.2552,046
114160.83.136.0/21160.83.136.1 to 160.83.143.254160.83.143.2552,046
115160.83.144.0/21160.83.144.1 to 160.83.151.254160.83.151.2552,046
116160.83.152.0/21160.83.152.1 to 160.83.159.254160.83.159.2552,046
117160.83.160.0/21160.83.160.1 to 160.83.167.254160.83.167.2552,046
118160.83.168.0/21160.83.168.1 to 160.83.175.254160.83.175.2552,046
119160.83.176.0/21160.83.176.1 to 160.83.183.254160.83.183.2552,046
120160.83.184.0/21160.83.184.1 to 160.83.191.254160.83.191.2552,046
121160.83.192.0/21160.83.192.1 to 160.83.199.254160.83.199.2552,046
122160.83.200.0/21160.83.200.1 to 160.83.207.254160.83.207.2552,046
123160.83.208.0/21160.83.208.1 to 160.83.215.254160.83.215.2552,046
124160.83.216.0/21160.83.216.1 to 160.83.223.254160.83.223.2552,046
125160.83.224.0/21160.83.224.1 to 160.83.231.254160.83.231.2552,046
126160.83.232.0/21160.83.232.1 to 160.83.239.254160.83.239.2552,046
127160.83.240.0/21160.83.240.1 to 160.83.247.254160.83.247.2552,046
128160.83.248.0/21160.83.248.1 to 160.83.255.254160.83.255.2552,046
129160.84.0.0/21160.84.0.1 to 160.84.7.254160.84.7.2552,046
130160.84.8.0/21160.84.8.1 to 160.84.15.254160.84.15.2552,046
131160.84.16.0/21160.84.16.1 to 160.84.23.254160.84.23.2552,046
132160.84.24.0/21160.84.24.1 to 160.84.31.254160.84.31.2552,046
133160.84.32.0/21160.84.32.1 to 160.84.39.254160.84.39.2552,046
134160.84.40.0/21160.84.40.1 to 160.84.47.254160.84.47.2552,046
135160.84.48.0/21160.84.48.1 to 160.84.55.254160.84.55.2552,046
136160.84.56.0/21160.84.56.1 to 160.84.63.254160.84.63.2552,046
137160.84.64.0/21160.84.64.1 to 160.84.71.254160.84.71.2552,046
138160.84.72.0/21160.84.72.1 to 160.84.79.254160.84.79.2552,046
139160.84.80.0/21160.84.80.1 to 160.84.87.254160.84.87.2552,046
140160.84.88.0/21160.84.88.1 to 160.84.95.254160.84.95.2552,046
141160.84.96.0/21160.84.96.1 to 160.84.103.254160.84.103.2552,046
142160.84.104.0/21160.84.104.1 to 160.84.111.254160.84.111.2552,046
143160.84.112.0/21160.84.112.1 to 160.84.119.254160.84.119.2552,046
144160.84.120.0/21160.84.120.1 to 160.84.127.254160.84.127.2552,046
145160.84.128.0/21160.84.128.1 to 160.84.135.254160.84.135.2552,046
146160.84.136.0/21160.84.136.1 to 160.84.143.254160.84.143.2552,046
147160.84.144.0/21160.84.144.1 to 160.84.151.254160.84.151.2552,046
148160.84.152.0/21160.84.152.1 to 160.84.159.254160.84.159.2552,046
149160.84.160.0/21160.84.160.1 to 160.84.167.254160.84.167.2552,046
150160.84.168.0/21160.84.168.1 to 160.84.175.254160.84.175.2552,046
151160.84.176.0/21160.84.176.1 to 160.84.183.254160.84.183.2552,046
152160.84.184.0/21160.84.184.1 to 160.84.191.254160.84.191.2552,046
153160.84.192.0/21160.84.192.1 to 160.84.199.254160.84.199.2552,046
154160.84.200.0/21160.84.200.1 to 160.84.207.254160.84.207.2552,046
155160.84.208.0/21160.84.208.1 to 160.84.215.254160.84.215.2552,046
156160.84.216.0/21160.84.216.1 to 160.84.223.254160.84.223.2552,046
157160.84.224.0/21160.84.224.1 to 160.84.231.254160.84.231.2552,046
158160.84.232.0/21160.84.232.1 to 160.84.239.254160.84.239.2552,046
159160.84.240.0/21160.84.240.1 to 160.84.247.254160.84.247.2552,046
160160.84.248.0/21160.84.248.1 to 160.84.255.254160.84.255.2552,046
161160.85.0.0/21160.85.0.1 to 160.85.7.254160.85.7.2552,046
162160.85.8.0/21160.85.8.1 to 160.85.15.254160.85.15.2552,046
163160.85.16.0/21160.85.16.1 to 160.85.23.254160.85.23.2552,046
164160.85.24.0/21160.85.24.1 to 160.85.31.254160.85.31.2552,046
165160.85.32.0/21160.85.32.1 to 160.85.39.254160.85.39.2552,046
166160.85.40.0/21160.85.40.1 to 160.85.47.254160.85.47.2552,046
167160.85.48.0/21160.85.48.1 to 160.85.55.254160.85.55.2552,046
168160.85.56.0/21160.85.56.1 to 160.85.63.254160.85.63.2552,046
169160.85.64.0/21160.85.64.1 to 160.85.71.254160.85.71.2552,046
170160.85.72.0/21160.85.72.1 to 160.85.79.254160.85.79.2552,046
171160.85.80.0/21160.85.80.1 to 160.85.87.254160.85.87.2552,046
172160.85.88.0/21160.85.88.1 to 160.85.95.254160.85.95.2552,046
173160.85.96.0/21160.85.96.1 to 160.85.103.254160.85.103.2552,046
174160.85.104.0/21160.85.104.1 to 160.85.111.254160.85.111.2552,046
175160.85.112.0/21160.85.112.1 to 160.85.119.254160.85.119.2552,046
176160.85.120.0/21160.85.120.1 to 160.85.127.254160.85.127.2552,046
177160.85.128.0/21160.85.128.1 to 160.85.135.254160.85.135.2552,046
178160.85.136.0/21160.85.136.1 to 160.85.143.254160.85.143.2552,046
179160.85.144.0/21160.85.144.1 to 160.85.151.254160.85.151.2552,046
180160.85.152.0/21160.85.152.1 to 160.85.159.254160.85.159.2552,046
181160.85.160.0/21160.85.160.1 to 160.85.167.254160.85.167.2552,046
182160.85.168.0/21160.85.168.1 to 160.85.175.254160.85.175.2552,046
183160.85.176.0/21160.85.176.1 to 160.85.183.254160.85.183.2552,046
184160.85.184.0/21160.85.184.1 to 160.85.191.254160.85.191.2552,046
185160.85.192.0/21160.85.192.1 to 160.85.199.254160.85.199.2552,046
186160.85.200.0/21160.85.200.1 to 160.85.207.254160.85.207.2552,046
187160.85.208.0/21160.85.208.1 to 160.85.215.254160.85.215.2552,046
188160.85.216.0/21160.85.216.1 to 160.85.223.254160.85.223.2552,046
189160.85.224.0/21160.85.224.1 to 160.85.231.254160.85.231.2552,046
190160.85.232.0/21160.85.232.1 to 160.85.239.254160.85.239.2552,046
191160.85.240.0/21160.85.240.1 to 160.85.247.254160.85.247.2552,046
192160.85.248.0/21160.85.248.1 to 160.85.255.254160.85.255.2552,046
193160.86.0.0/21160.86.0.1 to 160.86.7.254160.86.7.2552,046
194160.86.8.0/21160.86.8.1 to 160.86.15.254160.86.15.2552,046
195160.86.16.0/21160.86.16.1 to 160.86.23.254160.86.23.2552,046
196160.86.24.0/21160.86.24.1 to 160.86.31.254160.86.31.2552,046
197160.86.32.0/21160.86.32.1 to 160.86.39.254160.86.39.2552,046
198160.86.40.0/21160.86.40.1 to 160.86.47.254160.86.47.2552,046
199160.86.48.0/21160.86.48.1 to 160.86.55.254160.86.55.2552,046
200160.86.56.0/21160.86.56.1 to 160.86.63.254160.86.63.2552,046
201160.86.64.0/21160.86.64.1 to 160.86.71.254160.86.71.2552,046
202160.86.72.0/21160.86.72.1 to 160.86.79.254160.86.79.2552,046
203160.86.80.0/21160.86.80.1 to 160.86.87.254160.86.87.2552,046
204160.86.88.0/21160.86.88.1 to 160.86.95.254160.86.95.2552,046
205160.86.96.0/21160.86.96.1 to 160.86.103.254160.86.103.2552,046
206160.86.104.0/21160.86.104.1 to 160.86.111.254160.86.111.2552,046
207160.86.112.0/21160.86.112.1 to 160.86.119.254160.86.119.2552,046
208160.86.120.0/21160.86.120.1 to 160.86.127.254160.86.127.2552,046
209160.86.128.0/21160.86.128.1 to 160.86.135.254160.86.135.2552,046
210160.86.136.0/21160.86.136.1 to 160.86.143.254160.86.143.2552,046
211160.86.144.0/21160.86.144.1 to 160.86.151.254160.86.151.2552,046
212160.86.152.0/21160.86.152.1 to 160.86.159.254160.86.159.2552,046
213160.86.160.0/21160.86.160.1 to 160.86.167.254160.86.167.2552,046
214160.86.168.0/21160.86.168.1 to 160.86.175.254160.86.175.2552,046
215160.86.176.0/21160.86.176.1 to 160.86.183.254160.86.183.2552,046
216160.86.184.0/21160.86.184.1 to 160.86.191.254160.86.191.2552,046
217160.86.192.0/21160.86.192.1 to 160.86.199.254160.86.199.2552,046
218160.86.200.0/21160.86.200.1 to 160.86.207.254160.86.207.2552,046
219160.86.208.0/21160.86.208.1 to 160.86.215.254160.86.215.2552,046
220160.86.216.0/21160.86.216.1 to 160.86.223.254160.86.223.2552,046
221160.86.224.0/21160.86.224.1 to 160.86.231.254160.86.231.2552,046
222160.86.232.0/21160.86.232.1 to 160.86.239.254160.86.239.2552,046
223160.86.240.0/21160.86.240.1 to 160.86.247.254160.86.247.2552,046
224160.86.248.0/21160.86.248.1 to 160.86.255.254160.86.255.2552,046
225160.87.0.0/21160.87.0.1 to 160.87.7.254160.87.7.2552,046
226160.87.8.0/21160.87.8.1 to 160.87.15.254160.87.15.2552,046
227160.87.16.0/21160.87.16.1 to 160.87.23.254160.87.23.2552,046
228160.87.24.0/21160.87.24.1 to 160.87.31.254160.87.31.2552,046
229160.87.32.0/21160.87.32.1 to 160.87.39.254160.87.39.2552,046
230160.87.40.0/21160.87.40.1 to 160.87.47.254160.87.47.2552,046
231160.87.48.0/21160.87.48.1 to 160.87.55.254160.87.55.2552,046
232160.87.56.0/21160.87.56.1 to 160.87.63.254160.87.63.2552,046
233160.87.64.0/21160.87.64.1 to 160.87.71.254160.87.71.2552,046
234160.87.72.0/21160.87.72.1 to 160.87.79.254160.87.79.2552,046
235160.87.80.0/21160.87.80.1 to 160.87.87.254160.87.87.2552,046
236160.87.88.0/21160.87.88.1 to 160.87.95.254160.87.95.2552,046
237160.87.96.0/21160.87.96.1 to 160.87.103.254160.87.103.2552,046
238160.87.104.0/21160.87.104.1 to 160.87.111.254160.87.111.2552,046
239160.87.112.0/21160.87.112.1 to 160.87.119.254160.87.119.2552,046
240160.87.120.0/21160.87.120.1 to 160.87.127.254160.87.127.2552,046
241160.87.128.0/21160.87.128.1 to 160.87.135.254160.87.135.2552,046
242160.87.136.0/21160.87.136.1 to 160.87.143.254160.87.143.2552,046
243160.87.144.0/21160.87.144.1 to 160.87.151.254160.87.151.2552,046
244160.87.152.0/21160.87.152.1 to 160.87.159.254160.87.159.2552,046
245160.87.160.0/21160.87.160.1 to 160.87.167.254160.87.167.2552,046
246160.87.168.0/21160.87.168.1 to 160.87.175.254160.87.175.2552,046
247160.87.176.0/21160.87.176.1 to 160.87.183.254160.87.183.2552,046
248160.87.184.0/21160.87.184.1 to 160.87.191.254160.87.191.2552,046
249160.87.192.0/21160.87.192.1 to 160.87.199.254160.87.199.2552,046
250160.87.200.0/21160.87.200.1 to 160.87.207.254160.87.207.2552,046
251160.87.208.0/21160.87.208.1 to 160.87.215.254160.87.215.2552,046
252160.87.216.0/21160.87.216.1 to 160.87.223.254160.87.223.2552,046
253160.87.224.0/21160.87.224.1 to 160.87.231.254160.87.231.2552,046
254160.87.232.0/21160.87.232.1 to 160.87.239.254160.87.239.2552,046
255160.87.240.0/21160.87.240.1 to 160.87.247.254160.87.247.2552,046
256160.87.248.0/21160.87.248.1 to 160.87.255.254160.87.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses